{
  "format_version": "1.20.60",
  "minecraft:block": {
    "description": {
      "identifier": "vatonage:ultimate_crafting_table",
      "traits": {
        "minecraft:placement_direction": {
          "enabled_states": [
            "minecraft:cardinal_direction"
          ],
          "y_rotation_offset": 180.0
        }
      }
    },
    "components": {
      "tag:minecraft:is_pickaxe_item_destructible": {},
"minecraft:material_instances": {
        "*": {
          "texture": "ultimate_crafting_table",
          "render_method": "opaque"
        }
      },
      "minecraft:geometry": {
        "identifier": "geometry.ultimate_crafting_table"
      },
      "minecraft:display_name": "§bUltimate Crafting Table\n§o§4U§cl§6t§ei§am§ba§9t§1e §bCrafting",
      "minecraft:collision_box": {
        "origin": [
          -8,
          0,
          -8
        ],
        "size": [
          16,
          16,
          16
        ]
      },
      "minecraft:selection_box": {
        "origin": [
          -8,
          0,
          -8
        ],
        "size": [
          16,
          16,
          16
        ]
      },
      "minecraft:destructible_by_explosion": false,
      "minecraft:destructible_by_mining": {
        "seconds_to_destroy": 1
      }
    },
    "permutations": [{
      "condition": "q.block_state('minecraft:cardinal_direction') == 'north'",
      "components": {
        "minecraft:transformation": {
          "rotation": [
            0,
            0,
            0
          ]
        }
      }
    },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'south'",
        "components": {
          "minecraft:transformation": {
            "rotation": [
              0,
              180,
              0
            ]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'east'",
        "components": {
          "minecraft:transformation": {
            "rotation": [
              0,
              270,
              0
            ]
          }
        }
      },
      {
        "condition": "q.block_state('minecraft:cardinal_direction') == 'west'",
        "components": {
          "minecraft:transformation": {
            "rotation": [
              0,
              90,
              0
            ]
          }
        }
      }]
  }
}